### Constructor

# GimpUi LayerComboBox new

#### Declaration [src]

    GtkWidget*
    gimp_layer_combo_box_new (
      GimpItemConstraintFunc constraint,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Creates a new `GimpIntComboBox` filled with all currently opened layers. See `gimp_drawable_combo_box_new()` for more information.

Available since: | 2.2

#### Parameters

`constraint` | `GimpItemConstraintFunc`
| A `GimpItemConstraintFunc` or `NULL`.
| The argument can be `NULL`.
`data` | `gpointer`
| A pointer that is passed to `constraint`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`data_destroy` | `GDestroyNotify`
| Destroy function for `data`.

#### Return value

Returns: | `GtkWidget`
| A new `GimpIntComboBox`.
| The data is owned by the called function.